{"label":"Liste entité","syntax":"php"}
<?php
global $myUser;
if(!$myUser->connected()) throw new Exception("Vous devez être connecté pour accéder à cette fonctionnalité",401);
if(!$myUser->can('{{plugin}}','read')) throw new Exception("Vous n'avez pas la permission pour executer cette fonctionnalité",403);
require_once(__DIR__.SLASH.'{{Entity}}.class.php');
?>

<div class="row">
    {{~! Recherche non avancée}}
    <div class="col-md-8">
        <select id="filters" data-type="filter" data-label="Recherche" data-function="{{plugin}}_{{entity}}_search">
            <option value="label"   data-filter-type="text">Libellé</option>
        </select>
    </div>
    {{/~}}
	<div class="col-md-4">
		<?php if($myUser->can('{{plugin}}', 'edit')) : ?>
		<a href="index.php?module={{plugin}}&page=sheet.{{entity}}" class="btn btn-success right"><i class="fas fa-plus"></i> Ajouter</a>
		<?php endif; ?>
	</div>
</div>
<br/>
<div class="row">
	<!-- search results -->
	<div class="col-xl-12">
		<table id="{{entity}}s" class="table table-striped " data-entity-search="{{plugin}}_{{entity}}_search">
            <thead>
                <tr>
                    <th>#</th>{{:fields}}
                    <th data-sortable="{{key}}">{{value.label}}</th>{{/:fields}}
                    <th></th>
                </tr>
            </thead>
            {{~ Formulaire dans le tableau de liste }}
                <thead>
                    <tr id="{{entity}}-form" data-action="{{plugin}}_{{entity}}_save" data-id="">
                        <th>#</th>{{:fields}}
                        <th><input id="{{key}}" name="{{key}}" class="form-control" placeholder="" value="" type="text"></th>{{/:fields}}
                        <th><div onclick="{{plugin}}_{{entity}}_save();" class="btn btn-success"><i class="fas fa-check"></i> Enregistrer</div></th>
                    </tr>
                </thead>
            {{/~}}
            <tbody>
                <tr data-id="{{id}}" class="hidden">
	                <td>{{id}}</td>{{:fields}}
	                <td>{{{{value.key}}}}</td>{{/:fields}}
	                <td>
	                    <div class="btn-group btn-group-sm" role="group">
                            {{~! Formulaire dans le tableau de liste }}
                            <a class="btn btn-info" href="index.php?module={{plugin}}&page=sheet.{{entity}}&id={{id}}"><i class="fas fa-pencil-alt"></i></a>
                            {{/~}}
                            {{~ Formulaire dans le tableau de liste }}
                            <div class="btn btn-info " onclick="{{plugin}}_{{entity}}_edit(this);"><i class="fas fa-pencil-alt"></i></div>
                            {{/~}}
                            <div class="btn btn-danger " onclick="{{plugin}}_{{entity}}_delete(this);"><i class="far fa-trash-alt"></i></div>
	                    </div>
	                </td>
                </tr>
           </tbody>
        </table>

         {{~! Recherche non avancée}}<!-- Pagination -->
       
        <ul class="pagination">
            <li class="page-item hidden" data-value="{{value}}" title="Voir la page {{label}}" onclick="$(this).parent().find('li').removeClass('active');$(this).addClass('active');{{plugin}}_{{entity}}_search();">
                <a class="page-link" href="#">{{label}}</a>
            </li>
        </ul>{{/~}}

	</div>
</div>
